import UserLayout from '../layouts/UserLayout';
import Login from '../pages/user/login';
import BasicLayout from '../layouts/BasicLayout';
import Welcome from '../pages/Welcome';
import RequestTest from '../pages/testPages/request';
import InitDataBase from '../pages/database/InitDataBase';
import ManagementDataBase from '../pages/database/ManagementDataBase';
import DefaultComponent from '../pages/orgnazation/DefaultComponent';
export default {
  routes: [
    {
      path: '/user',
      component: UserLayout,
      routes: [
        {
          name: 'login',
          path: '/user/login',
          component: Login,
        },
      ],
    },
    {
      path: '/test/request',
      component: RequestTest,
    },
    {
      path: '/',
      component: BasicLayout,
      routes: [
        {
          path: '/dbm/dbInit',
          name: '数据库初始化',
          component: InitDataBase,
        },
        {
          path: '/dbm/dbsm',
          name: '数据库标准化管理',
          component: ManagementDataBase,
        },
        {
          path: '/userCenter/orgList',
          name: '机构列表',
          component: DefaultComponent,
        },
        {
          path: '/platformCenter/gis',
          name: 'GIS平台',
          component: Welcome,
        },
        {
          path: '/platformCenter/order',
          name: '工单平台',
          component: Welcome,
        },
        {
          path: '/platformCenter/notify',
          name: '消息平台',
          component: Welcome,
        },
        {
          path: '/platformCenter/vedio',
          name: '视频管理',
          component: Welcome,
        },
        {
          path: '/platformCenter/emq',
          name: '宿主管理',
          component: Welcome,
        },
        {
          path: '/platformCenter/dictionary',
          name: '数据字典',
          component: Welcome,
        },
        {
          path: '/productCenter/web',
          name: 'web配置',
          component: Welcome,
        },
        {
          path: '/productCenter/app',
          name: 'app配置',
          component: Welcome,
        },
        {
          path: '/productCenter/miniProgram',
          name: '小程序配置',
          component: Welcome,
        },
        {
          path: '/log',
          name: '日志管理',
          component: Welcome,
        },
        {
          path: '/log/service',
          name: '服务日志',
          component: Welcome,
        },
        {
          path: '/log/login',
          name: '登录日志',
          component: Welcome,
        },
        {
          path: '/log/omsOperation',
          name: '运维操作日志',
          component: Welcome,
        },
        {
          path: '/log/omsError',
          name: '运维错误日志',
          component: Welcome,
        },
      ],
    },
  ],
};
